Search transaction by its Merchant Id
GET/api/transaction/by-merchant-id/:merchantId/status
Returns the found transaction data.
Request
Path Parameters
merchantId stringrequired
Transaction Merchant Id
Example: 7da0c9af-215e-4625-b484-b8cfc87aaa09
Responses
- 200
- 400
- 401
- 403
- 404
Successful operation
- application/json
- Schema
- Example (from schema)
Schema
transaction_uuid transaction_uuid (string)
Reference of the QrCode for conciliation
status status (string)
Possible values: [pending, paid, paid_by_third_party, failed, awaiting, payment rejected, paid_without_qrcode, refund_received]
When column transaction_type has value TRANSACTION:
paid: deposit received and approved
failed: failed to generate a QrCode
pending: qrCode has yet to be paid
paid_by_third_party: deposit received but rejected and will be refunded since it came from a third-party payer
payment rejected: deposit received but rejected and will be refunded due business rules
paid_without_qrcode: deposit received but rejected and will be refunded since it's not linked to a QrCode
When column transaction_type has value WITHDRAW:
paid: withdrawal approved and completed
failed: withdrawal failed either due to business rules or could no be completed
pending: withdrawal is pending its final status
When column transaction_type has value REFUND:
paid: refund approved and completed
failed: refund failed either due to business rules or could no be completed
pending: refund is pending its final status
awaiting: refund is in the queue
status_reason status_reason (string)
Transaction status reason
value value (string)
Value of the transaction
transaction_type transaction_type (string)
Possible values: [transaction, withdraw, refund]
Transaction type
merchant_id merchant_id (string)
Merchant's ID for conciliation
cpf_cnpj cpf_cnpj (string)
Document of the person who paid or received (CPF or CNPJ)
costumer_name costumer_name (string)
Costumer's name
costumer_email costumer_email (string)
Costumer's email
end_to_end_id end_to_end_id (string)
Transaction's pix end_to_end_id
payment_date payment_date (string)
Date when the transaction was confirmed as paid
created_at created_at (string)
Date when the transaction was created
updated_at updated_at (string)
Date when the transaction was last updated
{
"transaction_uuid": "7da0c9af-215e-4625-b484-b8cfc87aaa09",
"status": "pending",
"status_reason": "Payment rejected by client's SPI",
"value": "10.00",
"transaction_type": "withdraw",
"merchant_id": "123456",
"cpf_cnpj": "80064671020",
"costumer_name": "Johnny Georgios",
"costumer_email": "johnny@gmail.com",
"end_to_end_id": "E0000000020230613111111aaaaa1111",
"payment_date": "2023-06-13 03:00:00.000",
"created_at": "2023-06-13T13:42:31.000000Z",
"updated_at": "2023-06-13T13:42:31.000000Z"
}
Bad Request
Unauthenticated
- application/json
- Schema
- Example (from schema)
Schema
message message (integer)
Response 401
{
"message": "Invalid x-api-key"
}
Forbidden
Not Found
Loading...